// ignore: file_names
import 'dart:math';
import 'dart:ui' as ui;

import 'package:flutter/material.dart';

class MyPainter2 extends CustomPainter{

  Color? progressColor1,progressColor2;
  double completePercent;
  double width;
  double pi;
  bool ?fullProgress;
  MyPainter2({this.progressColor1,this.progressColor2,this.completePercent=110,this.width=5,this.pi=3.14,this.fullProgress=false});
  @override
  void paint(Canvas canvas, Size size) {
    double gap=fullProgress??false?100:110;
    Paint complete =  Paint()
      ..shader =ui.Gradient.linear(
        Offset(0,completePercent),
        Offset(size.width,size.height), [
        progressColor1??Colors.red,
        progressColor2??Colors.pinkAccent,],)
      ..strokeCap = StrokeCap.round
      ..style = PaintingStyle.stroke
      ..strokeWidth = width;
    Offset center  =  Offset((size.width/2), size.height/2);
    double radius  = min(size.width/2,size.height/2);
    double arcAngle = 2*pi* (completePercent/gap);
    canvas.drawArc(Rect.fromCircle(center: center,radius: radius),
        -pi/2,
        arcAngle,
        false,
        complete
    );


  }
  @override
  bool shouldRepaint(CustomPainter oldDelegate) {
    return true;
  }
}